Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1214896

Summary: text/csv open in gedit instead of a spreadsheet by default
Product: [Fedora] Fedora Reporter: Caolan McNamara <caolanm>
Component: shared-mime-infoAssignee: Bastien Nocera <bnocera>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: bnocera, rdieter
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: shared-mime-info-1.4-6.fc22 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-04-27 10:19:50 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Caolan McNamara 2015-04-23 19:48:18 UTC
Description of problem:
Open a link like http://dev-builds.libreoffice.org/crashtest/7e20c37c4c60d485736261b60089acdc7dc4b886/exportCrashes.csv

get prompted to open in gedit instead of a spreadsheet

Version-Release number of selected component (if applicable):
shared-mime-info-1.3-15.fc21

How reproducible:


Steps to Reproduce:
Open a link like http://dev-builds.libreoffice.org/crashtest/7e20c37c4c60d485736261b60089acdc7dc4b886/exportCrashes.csv

Actual results:
Get prompted to open in gedit instead of a spreadsheet

Expected results:
Get prompted to open in calc

I seem to remember this "just working", pure chance, or poor memory, in f20 out of the box.

Comment 1 Rex Dieter 2015-04-23 20:46:17 UTC
What does this say?

rpm -q --whatprovides 'mimehandler(application/csv)'

In particular, gnome-mimeapps.list currently gives no preference for the 'application/csv' mimetype.

Comment 2 Rex Dieter 2015-04-24 00:04:18 UTC
For me,
$ rpm -q --whatprovides 'mimehandler(application/csv)'
libreoffice-calc-4.4.2.2-1.fc22.x86_64

So, if that's installed, it certainly should get used (in theory).

Comment 3 Caolan McNamara 2015-04-24 10:21:20 UTC
rpm -q --whatprovides 'mimehandler(application/csv)'
libreoffice-calc-4.3.6.2-9.fc21.x86_64

yeah, but it doesn't prompt in firefox for calc, just gedit. Similarly in nautilus it defaults to gedit, libreoffice is listed in "other applications" etc, but isn't the default

Comment 4 Bastien Nocera 2015-04-27 10:19:50 UTC
Fixed in rawhide. I won't be doing updates in other versions for such a small fix, as you can change the default for CSV files by going to the file properties in Files and selecting "Set as default".

Comment 5 Fedora Update System 2015-07-29 13:43:11 UTC
shared-mime-info-1.4-6.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/shared-mime-info-1.4-6.fc22

Comment 6 Fedora Update System 2015-08-01 02:27:41 UTC
shared-mime-info-1.4-6.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.